Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Stefan Monnier <[email-masked]>
Date: Fri, 21 Sep 2012 12:38:25 -0400

>> > I don't know why that function accepts a LIBRARIES argument, rather than
>> > just making callers bind Vdynamic_library_alist.
>> That's what it did in the original design, but someone (Stefan, I
>> think) asked that it was passed as an argument. I have always disliked
>> that, as it seems highly unlikely that any other variable will ever be
>> used. I'd be happy to see that argument removed.
> Well, then maybe Stefan could explain why he wanted it.

Sorry, can't remember.  Probably because I generally prefer passing
arguments explicitly over passing them via dynamic binding.

        Stefan